> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /candidates/{id}

GET https://api.merge.dev/api/ats/v1/candidates/{id}

Returns a `Candidate` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/ats/common-models/candidates/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `applications`, `attachments`
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `first_name` (string, optional, nullable) — The candidate's first name.
- `last_name` (string, optional, nullable) — The candidate's last name.
- `company` (string, optional, nullable) — The candidate's current company.
- `title` (string, optional, nullable) — The candidate's current title.
- `remote_created_at` (datetime, optional, nullable) — When the third party's candidate was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's candidate was updated.
- `last_interaction_at` (datetime, optional, nullable) — When the most recent interaction with the candidate occurred.
- `is_private` (boolean, optional, nullable) — Whether or not the candidate is private.
- `can_email` (boolean, optional, nullable) — Whether or not the candidate can be emailed.
- `locations` (list of string, optional, nullable) — The candidate's locations.
- `phone_numbers` (list of PhoneNumber, optional)
- `email_addresses` (list of EmailAddress, optional)
- `urls` (list of Url, optional)
- `tags` (list of string, optional) — Array of `Tag` names as strings.
- `applications` (list of string, optional) — Array of `Application` object IDs.
- `attachments` (list of string, optional) — Array of `Attachment` object IDs.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (CandidateFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

## Types

### PhoneNumber

# The PhoneNumber Object ### Description The `PhoneNumber` object is used to represent a candidate's phone number. ### Usage Example Fetch from the `GET Candidate` endpoint and view their phone numbers.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The phone number.
- `phone_number_type` (enum, optional, nullable) — The type of phone number.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `SKYPE`, `OTHER`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### EmailAddress

# The EmailAddress Object ### Description The `EmailAddress` object is used to represent a candidate's email address. ### Usage Example Fetch from the `GET Candidate` endpoint and view their email addresses.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The email address.
- `email_address_type` (enum, optional, nullable) — The type of email address.
  - Allowed values: `PERSONAL`, `WORK`, `OTHER`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### Url

# The Url Object ### Description The `Url` object is used to represent hyperlinks associated with the parent model. ### Usage Example Fetch from the `GET Candidate` endpoint and view their website urls.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The site's url.
- `url_type` (enum, optional, nullable) — The type of site.
  - Allowed values: `PERSONAL`, `COMPANY`, `PORTFOLIO`, `BLOG`, `SOCIAL_MEDIA`, `OTHER`, `JOB_POSTING`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### CandidateFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "id": "521b18c2-4d01-4297-b451-19858d07c133",
  "remote_id": "21198",
  "created_at": "2021-09-15T00:00:00Z",
  "modified_at": "2021-10-16T00:00:00Z",
  "first_name": "Gil",
  "last_name": "Feig",
  "company": "Columbia Dining App.",
  "title": "Software Engineer",
  "remote_created_at": "2021-10-15T00:00:00Z",
  "remote_updated_at": "2021-10-16T00:00:00Z",
  "last_interaction_at": "2021-10-17T00:00:00Z",
  "is_private": true,
  "can_email": true,
  "locations": [
    "San Francisco",
    "New York",
    "Miami"
  ],
  "phone_numbers": [
    {
      "value": "+1234567890",
      "phone_number_type": "MOBILE"
    }
  ],
  "email_addresses": [
    {
      "value": "hello@merge.dev",
      "email_address_type": "PERSONAL"
    }
  ],
  "urls": [
    {
      "value": "http://alturl.com/p749b",
      "url_type": "BLOG"
    }
  ],
  "tags": [
    "High-Priority"
  ],
  "applications": [
    "29eb9867-ce2a-403f-b8ce-f2844b89f078",
    "b4d08e5c-de00-4d64-a29f-66addac9af99",
    "4ff877d2-fb3e-4a5b-a7a5-168ddf2ffa56"
  ],
  "attachments": [
    "bea08964-32b4-4a20-8bb4-2612ba09de1d"
  ],
  "remote_was_deleted": true,
  "field_mappings": {
    "organization_defined_targets": {
      "custom_key": "custom_value"
    },
    "linked_account_defined_targets": {
      "custom_key": "custom_value"
    }
  },
  "remote_data": [
    {
      "path": "/candidates",
      "data": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/ats/v1/candidates/id"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/ats/v1/candidates/id?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```